<?php
/**
 * Masonry code for this theme.
 *
 * @package indie
 */

    if (! function_exists('indie_scripts_masonry') ) :
        if ( ! is_admin() ) :
            function indie_scripts_masonry() {
                wp_enqueue_script('masonry');
                wp_enqueue_style('masonry', get_template_directory_uri().'/css/masonry.css');
            }
            add_action( 'wp_enqueue_scripts', 'indie_scripts_masonry' );
        endif; //! is_admin()
    endif; //! indie_scripts_masonry exists
    if ( ! function_exists( 'indie_masonry_init' )) :
        function indie_masonry_init(){
            wp_enqueue_script('masonry_init', get_template_directory_uri().'/js/masonry_init.js');	
        }
        //add to wp_footer
        add_action( 'wp_footer', 'indie_masonry_init' );
    endif; // ! indie_masonry_init exists